Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class CRLAnnContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.CRLAnnContent

All Implemented Interfaces:
  DEREncodable

    public class CRLAnnContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static CRLAnnContent` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` CRLAnnContent ::= SEQUENCE OF CertificateList
`CertificateList[]` `toCertificateListArray()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CRLAnnContent getInstance(java.lang.Object o)

### toCertificateListArray

    public CertificateList[] toCertificateListArray()

### toASN1Object

    public DERObject toASN1Object()

       CRLAnnContent ::= SEQUENCE OF CertificateList

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45